Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_backtrace_struct Struct Reference

## Data Fields
rb_backtrace_location_t * | backtrace
rb_backtrace_location_t * | backtrace_base
int | backtrace_size
VALUE | strary
VALUE | locary

## Detailed Description

Definition at line 403 of file vm_backtrace.c.

## Field Documentation

## ◆ backtrace

rb_backtrace_location_t* rb_backtrace_struct::backtrace

Definition at line 404 of file vm_backtrace.c.

Referenced by rb_backtrace_use_iseq_first_lineno_for_last_location().

## ◆ backtrace_base

rb_backtrace_location_t* rb_backtrace_struct::backtrace_base

Definition at line 405 of file vm_backtrace.c.

## ◆ backtrace_size

int rb_backtrace_struct::backtrace_size

Definition at line 406 of file vm_backtrace.c.

Referenced by rb_backtrace_use_iseq_first_lineno_for_last_location().

## ◆ locary

VALUE rb_backtrace_struct::locary

Definition at line 408 of file vm_backtrace.c.

Referenced by rb_backtrace_to_location_ary().

## ◆ strary

VALUE rb_backtrace_struct::strary

Definition at line 407 of file vm_backtrace.c.

Referenced by rb_backtrace_to_str_ary().

The documentation for this struct was generated from the following file:

- vm_backtrace.c